メインコンテンツへスキップ
POST
/
crm
/
v3
/
objects
/
0-3
/
merge
同じタイプの2つの取引をマージ
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/0-3/merge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "objectIdToMerge": "<string>",
  "primaryObjectId": "<string>"
}
'
import requests

url = "https://api.hubapi.com/crm/v3/objects/0-3/merge"

payload = {
    "objectIdToMerge": "<string>",
    "primaryObjectId": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({objectIdToMerge: '<string>', primaryObjectId: '<string>'})
};

fetch('https://api.hubapi.com/crm/v3/objects/0-3/merge', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "archived": false,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "id": "512",
  "properties": {
    "property_checkbox": "false",
    "property_date": "1572480000000",
    "property_dropdown": "choice_b",
    "property_multiple_checkboxes": "chocolate;strawberry",
    "property_number": "17",
    "property_radio": "option_1",
    "property_string": "value"
  },
  "updatedAt": "2019-12-07T16:50:06.678Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json

2つのレコードをマージするための入力データ。

objectIdToMerge
string
必須

プライマリーオブジェクトにマージされるオブジェクトのID。

primaryObjectId
string
必須

マージ後に残るオブジェクトのID。

レスポンス

successful operation

シンプルな公開オブジェクト。

archived
boolean
必須

オブジェクトがアーカイブされているかどうか。

createdAt
string<date-time>
必須

オブジェクトが作成された時点のタイムスタンプ(ISO 8601形式)。

id
string
必須

オブジェクトの固有ID。

properties
object
必須

オブジェクトのプロパティーを表す、キーと値のペア。

updatedAt
string<date-time>
必須

オブジェクトが最後に更新された時点のタイムスタンプ(ISO 8601形式)。

archivedAt
string<date-time>

オブジェクトがアーカイブされた時点のタイムスタンプ(ISO 8601形式)。

objectWriteTraceId
string

オブジェクトの作成リクエストまたは更新リクエストをトレースするために使用されるID。

propertiesWithHistory
object

オブジェクトのプロパティーとその履歴を表すキーと値のペア。

url
string

オブジェクトに関連付けられたURL。

warnings
object[]
最終更新日 2026年4月10日